<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-page-detail full-detail">
            <el-table :element-loading-background="loadingColor" v-loading="loading" height="calc(100% - 20px)"
                align="center" :data="tableData" class="dialog_table" :cell-style="{ 'text-align': 'center' }"
                :header-cell-style="{ 'text-align': 'center' }">
                <el-table-column type="index" label="序号" width="80"></el-table-column>
                <el-table-column prop="projectName" label="项目名称" width="400">
                </el-table-column>
                <el-table-column prop="totalNum" label="计划数量" width="180">
                </el-table-column>
                <el-table-column prop="finishNum" label="完成数量"></el-table-column>
                <el-table-column prop="progressNum" label="推进数量"></el-table-column>
                <el-table-column prop="unStartNum" label="未启动数量"></el-table-column>
                <el-table-column prop="finishRate" label="完成率">
                    <template v-slot="{ row }">
                        {{ row.finishRate }}%
                    </template>
                </el-table-column>
                <el-table-column prop="degree" label="完成情况">
                    <template v-slot="{ row }">
                        <!-- {{ row.degree == 1 ? '优秀' : row.degree == 2 ? '良好' : '一般' }} -->
                        <el-tag v-if="row.degree == 1" type="success" effect="dark">已完成</el-tag>
                        <el-tag v-if="row.degree == 2" type="danger" effect="dark">未完成</el-tag>
                        <!-- <el-tag v-if="row.degree == 3" type="warning" effect="dark">一般</el-tag> -->
                    </template>
                </el-table-column>
            </el-table>
            <!-- <div style="font-size: 16PX;">备注：项目分发数=实际完成个数为优秀，项目分发数>实际完成个数且项目分发数-实际完成个数≤2为良好，项目分发数-实际完成个数>2为一般。</div> -->
        </div>
        
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/majorView.js'
export default {
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
        }
    },
    mounted() {
        this.getData()
        this.$bus.$on('changeDate', (searchDate) => {
            this.getData()
        })
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        getData() {
            this.loading = true
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            console.log(data)
            // 综合
            apiList.getProjectStatistics(data, (res) => {
                this.tableData = res.value
                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>
.sub-page-detail.full-detail {
    * {
        font-size: 18PX !important;
    }
}
.column-item-rotate {
    display: inline-block;
    transform: rotateX(180deg);
}

.cqlt-icon-arrow {
    font-size: 18px;
}

.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1px 0 12px;
}

.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1px 0 12px;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
